Bug Hunting Session
Bug 51542 - ASKLIBREOFFICE 300 character limit on Comments is too small
Summary: ASKLIBREOFFICE 300 character limit on Comments is too small
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-28 22:16 UTC by Robinson Tryon (qubit)
Modified: 2013-03-13 13:01 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robinson Tryon (qubit) 2012-06-28 22:16:52 UTC
I have repeatedly run into problems where I'm unable to reply to a given comment in under 300 characters. I think the limit should be increased to at least triple that, to 900 chars.

I believe that every character in a URL, including formatting, is included in the 300-char count, and as I would *strongly* like to avoid url-shortening services, I don't see a way for me to be able to write full sentences commenting on a Question or another comment without running far beyond 300 chars.

As it stands, I've had to abuse the "Answer" option and use that to comment on questions. I would like to avoid that, and I'll probably lose karma for using the Answer elements in this fashion, but there's no other way for me to write down my thoughts in complete sentences on the site.

For comparison, this brief bug report runs 837 characters.
Comment 1 Rainer Bielefeld Retired 2012-06-29 00:13:42 UTC
<https://wiki.documentfoundation.org/BugReport_Details#WWW>

@reporter:
I dislike too elaborated comments, but may be 300 characters really is rather short. Please contribute a "real life" example where the limitation was too narrow for you (link to ask.libreoffice).
Comment 2 Robinson Tryon (qubit) 2012-06-29 08:36:34 UTC
Here are a couple of examples where I couldn't fit my entire comment in 300 chars (in the latter case I split my message across two comments...):

http://ask.libreoffice.org/question/3617/how-do-i-mark-the-best-answer-to-my-question-on/?answer=3630#post-id-3630

http://ask.libreoffice.org/question/3574/how-do-i-add-tags-to-a-question-or-an-answer/?answer=3577#post-id-3577


It's possible that something between 300-600 chars is fine for a healthy Askbot site. Right now I feel like the site is really hard to use (bugs + karma hurdles + missing docs), so perhaps I'm leaving more/longer comments than I would otherwise.
Comment 3 Rainer Bielefeld Retired 2012-06-29 09:26:38 UTC
>  Right now I feel like the site is really hard to use (bugs + karma
> hurdles + missing docs), so perhaps I'm leaving more/longer comments than I
> would otherwise.

Me too.
Generally I believe for standard answers we should use links to ask.help or similar, but I don't know. 

Also see "Bug 50176 ASKLIBREOFFICE: Improve Help text"

May be we increase to 400 characters and see what happens?!
Comment 4 Robinson Tryon (qubit) 2012-06-29 10:36:37 UTC
---
Maybe we increase to 400 characters and see what happens?!
---

Sure -- I don't think bumping it up would hurt :-)

I still think the big thing is that the ask.LO site just needs a lot of love. It needs a 'captain' of sorts who is willing to spend some time writing a lot of documentation, answering feedback from all of the people using the site, and (important, important!) making sure that someone is tackling all of the bugs present.

E.g. take a look at bug 51569. That's a critical flaw in the fundamental workflow. We really need to get that fixed asap.
Comment 5 Robinson Tryon (qubit) 2012-11-19 02:53:18 UTC
Bump.

Problem remains. I'm still misusing the Answer field so that I can communicate with users. E.g:
http://ask.libreoffice.org/question/7929/hybrid-pdf-makes-menu-bar-disappear-in-reader/?answer=8017#post-id-8017

I suggest that we either increase the character limit on comment fields or relax the guidelines on what consitutes an "Answer."
Comment 6 Robinson Tryon (qubit) 2013-03-13 13:01:48 UTC
Limit now set at 500 chars. This seems to be a good length for now.